Bug 228851 - [SOUP] test imported/w3c/web-platform-tests/html/cross-origin-opener-policy/header-parsing.https.html fails
Summary: [SOUP] test imported/w3c/web-platform-tests/html/cross-origin-opener-policy/h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-05 16:59 PDT by Arcady Goldmints-Orlov
Modified: 2021-08-07 03:03 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.65 KB, patch)
2021-08-05 17:21 PDT, Arcady Goldmints-Orlov
no flags Details | Formatted Diff | Diff
Patch (3.70 KB, patch)
2021-08-06 09:34 PDT, Arcady Goldmints-Orlov
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arcady Goldmints-Orlov 2021-08-05 16:59:50 PDT
This test had its expectations updated to account for more passes after r280504, but those subtests still fail on GTK/WPE. It seems like whatever was implemented in bug 192193 is not working on Linux.
Comment 1 Arcady Goldmints-Orlov 2021-08-05 17:21:38 PDT
Created attachment 435042 [details]
Patch
Comment 2 Carlos Garcia Campos 2021-08-05 23:41:15 PDT
That's weird, I don't see any platform specific change in r280504.
Comment 3 Carlos Garcia Campos 2021-08-05 23:43:27 PDT
Comment on attachment 435042 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435042&action=review

> LayoutTests/platform/glib/TestExpectations:894
> +webkit.org/b/228851 imported/w3c/web-platform-tests/html/cross-origin-opener-policy/header-parsing.https.html [ Failure ]
> +

For these test that include several PASS/FAIL lines, we prefer to rebaseline including FAIL lines instead of marking the whole test as failure, because if there's a new FAIL we won't notice it.
Comment 4 Arcady Goldmints-Orlov 2021-08-06 09:34:35 PDT
Created attachment 435073 [details]
Patch
Comment 5 EWS 2021-08-06 23:30:47 PDT
Committed r280755 (240340@main): <https://commits.webkit.org/240340@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435073 [details].
Comment 6 Radar WebKit Bug Importer 2021-08-06 23:31:18 PDT
<rdar://problem/81646076>